<?xml version='1.0' encoding='UTF-8'?>
<xsl:stylesheet version='1.0' xmlns:xsl='http://www.w3.org/1999/XSL/Transform'>

    <xsl:template match="extraitcorpus" mode="MODE_TITLE">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:apply-templates select="intitule" mode="MODE_LABEL">
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="extraitthesaurus" mode="MODE_TITLE">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:apply-templates select="intitule" mode="MODE_LABEL">
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="fiche" mode="MODE_TITLE">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:apply-templates select="intitule" mode="MODE_LABEL">
            <xsl:with-param name="PARAM_LANG" select="$PARAM_LANG"/>
        </xsl:apply-templates>
        <xsl:text> – </xsl:text>
        <xsl:value-of select="titre"/>
    </xsl:template>

    <xsl:template match="intitule" mode="MODE_LABEL">
        <xsl:param name="PARAM_LANG" select="$WORKINGLANG"/>
        <xsl:choose>
            <xsl:when test="label[@xml:lang = $PARAM_LANG]"><xsl:value-of select="label[@xml:lang = $PARAM_LANG]"/></xsl:when>
            <xsl:when test="label[@xml:lang = substring-before($PARAM_LANG, '-')]"><xsl:value-of select="label[@xml:lang = substring-before($PARAM_LANG, '-')]"/></xsl:when>
            <xsl:otherwise><xsl:value-of select="label[1]"/></xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>
